=== modified file 'include/hash.h'
--- include/hash.h	2008-07-13 18:27:33 +0000
+++ include/hash.h	2008-07-17 20:11:46 +0000
@@ -65,7 +65,6 @@
 bool hash_delete(HASH *hash,uchar *record);
 bool hash_update(HASH *hash,uchar *record,uchar *old_key,size_t old_key_length);
 void hash_replace(HASH *hash, HASH_SEARCH_STATE *state, uchar *new_row);
-bool hash_check(HASH *hash);			/* Only in debug library */
 
 #define hash_clear(H) bzero((char*) (H),sizeof(*(H)))
 #define hash_inited(H) ((H)->array.buffer != 0)

=== modified file 'mysys/my_symlink.c'
--- mysys/my_symlink.c	2008-06-25 05:29:13 +0000
+++ mysys/my_symlink.c	2008-07-17 20:11:46 +0000
@@ -40,7 +40,6 @@
 #else
   int result=0;
   int length;
-  DBUG_ENTER("my_readlink");
 
   if ((length=readlink(filename, to, FN_REFLEN-1)) < 0)
   {
@@ -59,8 +58,7 @@
   }
   else
     to[length]=0;
-  DBUG_PRINT("exit" ,("result: %d", result));
-  DBUG_RETURN(result);
+  return(result);
 #endif /* HAVE_READLINK */
 }
 
@@ -73,8 +71,6 @@
   return 0;
 #else
   int result;
-  DBUG_ENTER("my_symlink");
-  DBUG_PRINT("enter",("content: %s  linkname: %s", content, linkname));
 
   result= 0;
   if (symlink(content, linkname))
@@ -86,7 +82,7 @@
   }
   else if ((MyFlags & MY_SYNC_DIR) && my_sync_dir_by_file(linkname, MyFlags))
     result= -1;
-  DBUG_RETURN(result);
+  return(result);
 #endif /* HAVE_READLINK */
 }
 
@@ -115,13 +111,11 @@
   int result=0;
   char buff[BUFF_LEN];
   struct stat stat_buff;
-  DBUG_ENTER("my_realpath");
 
   if (!(MyFlags & MY_RESOLVE_LINK) ||
       (!lstat(filename,&stat_buff) && S_ISLNK(stat_buff.st_mode)))
   {
     char *ptr;
-    DBUG_PRINT("info",("executing realpath"));
     if ((ptr=realpath(filename,buff)))
     {
       strmake(to,ptr,FN_REFLEN-1);
@@ -133,7 +127,6 @@
 	original name but will at least be able to resolve paths that starts
 	with '.'.
       */
-      DBUG_PRINT("error",("realpath failed with errno: %d", errno));
       my_errno=errno;
       if (MyFlags & MY_WME)
 	my_error(EE_REALPATH, MYF(0), filename, my_errno);
@@ -141,7 +134,7 @@
       result= -1;
     }
   }
-  DBUG_RETURN(result);
+  return(result);
 #else
   my_load_path(to, filename, NullS);
   return 0;

=== modified file 'mysys/my_sync.c'
--- mysys/my_sync.c	2008-06-25 05:29:13 +0000
+++ mysys/my_sync.c	2008-07-17 20:11:46 +0000
@@ -43,8 +43,6 @@
 int my_sync(File fd, myf my_flags)
 {
   int res;
-  DBUG_ENTER("my_sync");
-  DBUG_PRINT("my",("Fd: %d  my_flags: %d", fd, my_flags));
 
   do
   {
@@ -56,7 +54,6 @@
     if (!(res= fcntl(fd, F_FULLFSYNC, 0)))
       break; /* ok */
     /* Some file systems don't support F_FULLFSYNC and fail above: */
-    DBUG_PRINT("info",("fcntl(F_FULLFSYNC) failed, falling back"));
 #endif
 #if defined(HAVE_FDATASYNC)
     res= fdatasync(fd);
@@ -76,13 +73,12 @@
     if ((my_flags & MY_IGNORE_BADFD) &&
         (er == EBADF || er == EINVAL || er == EROFS))
     {
-      DBUG_PRINT("info", ("ignoring errno %d", er));
       res= 0;
     }
     else if (my_flags & MY_WME)
       my_error(EE_SYNC, MYF(ME_BELL+ME_WAITTANG), my_filename(fd), my_errno);
   }
-  DBUG_RETURN(res);
+  return(res);
 } /* my_sync */
 
 
@@ -101,8 +97,6 @@
 int my_sync_dir(const char *dir_name, myf my_flags)
 {
 #ifdef NEED_EXPLICIT_SYNC_DIR
-  DBUG_ENTER("my_sync_dir");
-  DBUG_PRINT("my",("Dir: '%s'  my_flags: %d", dir_name, my_flags));
   File dir_fd;
   int res= 0;
   const char *correct_dir_name;
@@ -121,7 +115,7 @@
   }
   else
     res= 1;
-  DBUG_RETURN(res);
+  return(res);
 #else
   return 0;
 #endif

=== modified file 'mysys/my_thr_init.c'
--- mysys/my_thr_init.c	2008-07-13 18:27:33 +0000
+++ mysys/my_thr_init.c	2008-07-17 20:11:46 +0000
@@ -279,10 +279,6 @@
   tmp->id= ++thread_id;
   ++THR_thread_count;
   pthread_mutex_unlock(&THR_LOCK_threads);
-#ifndef DBUG_OFF
-  /* Generate unique name for thread */
-  (void) my_thread_name();
-#endif
 
 end:
   return error;
@@ -312,15 +308,6 @@
 #endif  
   if (tmp && tmp->init)
   {
-#if !defined(DBUG_OFF)
-    /* tmp->dbug is allocated inside DBUG library */
-    if (tmp->dbug)
-    {
-      DBUG_POP();
-      free(tmp->dbug);
-      tmp->dbug=0;
-    }
-#endif
 #if !defined(__bsdi__) && !defined(__OpenBSD__)
  /* bsdi and openbsd 3.5 dumps core here */
     pthread_cond_destroy(&tmp->suspend);
@@ -336,10 +323,10 @@
       Decrement counter for number of running threads. We are using this
       in my_thread_global_end() to wait until all threads have called
       my_thread_end and thus freed all memory they have allocated in
-      my_thread_init() and DBUG_xxxx
+      my_thread_init() 
     */
     pthread_mutex_lock(&THR_LOCK_threads);
-    DBUG_ASSERT(THR_thread_count != 0);
+    assert(THR_thread_count != 0);
     if (--THR_thread_count == 0)
       pthread_cond_signal(&THR_COND_threads);
    pthread_mutex_unlock(&THR_LOCK_threads);
@@ -374,29 +361,6 @@
   return my_thread_var->id;
 }
 
-#ifdef DBUG_OFF
-const char *my_thread_name(void)
-{
-  return "no_name";
-}
-
-#else
-
-const char *my_thread_name(void)
-{
-  char name_buff[100];
-  struct st_my_thread_var *tmp=my_thread_var;
-  if (!tmp->name[0])
-  {
-    my_thread_id id= my_thread_dbug_id();
-    sprintf(name_buff,"T@%lu", (ulong) id);
-    strmake(tmp->name,name_buff,THREAD_NAME_SIZE);
-  }
-  return tmp->name;
-}
-#endif /* DBUG_OFF */
-
-
 static uint get_thread_lib(void)
 {
 #ifdef _CS_GNU_LIBPTHREAD_VERSION

=== modified file 'mysys/my_write.c'
--- mysys/my_write.c	2008-07-02 14:35:48 +0000
+++ mysys/my_write.c	2008-07-17 20:11:46 +0000
@@ -24,14 +24,11 @@
 {
   size_t writenbytes, written;
   uint errors;
-  DBUG_ENTER("my_write");
-  DBUG_PRINT("my",("Fd: %d  Buffer: 0x%lx  Count: %lu  MyFlags: %d",
-		   Filedes, (long) Buffer, (ulong) Count, MyFlags));
   errors=0; written=0;
 
   /* The behavior of write(fd, buf, 0) is not portable */
   if (unlikely(!Count))
-    DBUG_RETURN(0);
+    return(0);
   
   for (;;)
   {
@@ -44,8 +41,6 @@
       Count-=writenbytes;
     }
     my_errno=errno;
-    DBUG_PRINT("error",("Write only %ld bytes, error: %d",
-			(long) writenbytes, my_errno));
 #ifndef NO_BACKGROUND
     if (my_thread_var->abort)
       MyFlags&= ~ MY_WAIT_IF_FULL;		/* End if aborted by user */
@@ -63,8 +58,6 @@
     {
       if (my_errno == EINTR)
       {
-        DBUG_PRINT("debug", ("my_write() was interrupted and returned %ld",
-                             (long) writenbytes));
         continue;                               /* Interrupted */
       }
 
@@ -85,12 +78,12 @@
 	my_error(EE_WRITE, MYF(ME_BELL+ME_WAITTANG),
 		 my_filename(Filedes),my_errno);
       }
-      DBUG_RETURN(MY_FILE_ERROR);		/* Error on read */
+      return(MY_FILE_ERROR);		/* Error on read */
     }
     else
       break;					/* Return bytes written */
   }
   if (MyFlags & (MY_NABP | MY_FNABP))
-    DBUG_RETURN(0);			/* Want only errors */
-  DBUG_RETURN(writenbytes+written);
+    return(0);			/* Want only errors */
+  return(writenbytes+written);
 } /* my_write */

=== modified file 'mysys/ptr_cmp.c'
--- mysys/ptr_cmp.c	2008-06-25 05:29:13 +0000
+++ mysys/ptr_cmp.c	2008-07-17 20:11:46 +0000
@@ -166,7 +166,7 @@
   case 3: mi_int3store(buff,pos); break;
   case 2: mi_int2store(buff,pos); break;
   case 1: buff[0]= (uchar) pos; break;
-  default: DBUG_ASSERT(0);
+  default: assert(0);
   }
   return;
 }
@@ -185,7 +185,7 @@
   case 3: pos= (my_off_t) mi_uint3korr(ptr); break;
   case 2: pos= (my_off_t) mi_uint2korr(ptr); break;
   case 1: pos= (my_off_t) *(uchar*) ptr; break;
-  default: DBUG_ASSERT(0); return 0;
+  default: assert(0); return 0;
   }
  return pos;
 }

=== modified file 'mysys/queues.c'
--- mysys/queues.c	2008-07-15 06:45:16 +0000
+++ mysys/queues.c	2008-07-17 20:11:46 +0000
@@ -52,17 +52,16 @@
 	       bool max_at_top, int (*compare) (void *, uchar *, uchar *),
 	       void *first_cmp_arg)
 {
-  DBUG_ENTER("init_queue");
   if ((queue->root= (uchar **) my_malloc((max_elements+1)*sizeof(void*),
 					 MYF(MY_WME))) == 0)
-    DBUG_RETURN(1);
+    return(1);
   queue->elements=0;
   queue->compare=compare;
   queue->first_cmp_arg=first_cmp_arg;
   queue->max_elements=max_elements;
   queue->offset_to_key=offset_to_key;
   queue_set_max_at_top(queue, max_at_top);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -96,14 +95,13 @@
 	       void *first_cmp_arg, uint auto_extent)
 {
   int ret;
-  DBUG_ENTER("init_queue_ex");
 
   if ((ret= init_queue(queue, max_elements, offset_to_key, max_at_top, compare,
                        first_cmp_arg)))
-    DBUG_RETURN(ret);
+    return(ret);
   
   queue->auto_extent= auto_extent;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /*
@@ -132,14 +130,13 @@
 		 bool max_at_top, int (*compare) (void *, uchar *, uchar *),
 		 void *first_cmp_arg)
 {
-  DBUG_ENTER("reinit_queue");
   queue->elements=0;
   queue->compare=compare;
   queue->first_cmp_arg=first_cmp_arg;
   queue->offset_to_key=offset_to_key;
   queue_set_max_at_top(queue, max_at_top);
   resize_queue(queue, max_elements);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -163,17 +160,16 @@
 int resize_queue(QUEUE *queue, uint max_elements)
 {
   uchar **new_root;
-  DBUG_ENTER("resize_queue");
   if (queue->max_elements == max_elements)
-    DBUG_RETURN(0);
+    return(0);
   if ((new_root= (uchar **) my_realloc((void *)queue->root,
 				      (max_elements+1)*sizeof(void*),
 				      MYF(MY_WME))) == 0)
-    DBUG_RETURN(1);
+    return(1);
   set_if_smaller(queue->elements, max_elements);
   queue->max_elements= max_elements;
   queue->root= new_root;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -193,13 +189,12 @@
 
 void delete_queue(QUEUE *queue)
 {
-  DBUG_ENTER("delete_queue");
   if (queue->root)
   {
     my_free((uchar*) queue->root,MYF(0));
     queue->root=0;
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -208,7 +203,7 @@
 void queue_insert(register QUEUE *queue, uchar *element)
 {
   register uint idx, next;
-  DBUG_ASSERT(queue->elements < queue->max_elements);
+  assert(queue->elements < queue->max_elements);
   queue->root[0]= element;
   idx= ++queue->elements;
   /* max_at_top swaps the comparison if we want to order by desc */
@@ -254,7 +249,7 @@
 uchar *queue_remove(register QUEUE *queue, uint idx)
 {
   uchar *element;
-  DBUG_ASSERT(idx < queue->max_elements);
+  assert(idx < queue->max_elements);
   element= queue->root[++idx];  /* Intern index starts from 1 */
   queue->root[idx]= queue->root[queue->elements--];
   _downheap(queue, idx);

=== modified file 'mysys/sha1.c'
--- mysys/sha1.c	2008-06-25 05:29:13 +0000
+++ mysys/sha1.c	2008-07-17 20:11:46 +0000
@@ -93,11 +93,6 @@
 
 int mysql_sha1_reset(SHA1_CONTEXT *context)
 {
-#ifndef DBUG_OFF
-  if (!context)
-    return SHA_NULL;
-#endif
-
   context->Length		  = 0;
   context->Message_Block_Index	  = 0;
 
@@ -136,14 +131,6 @@
 {
   int i;
 
-#ifndef DBUG_OFF
-  if (!context || !Message_Digest)
-    return SHA_NULL;
-
-  if (context->Corrupted)
-    return context->Corrupted;
-#endif
-
   if (!context->Computed)
   {
     SHA1PadMessage(context);
@@ -181,31 +168,12 @@
   if (!length)
     return SHA_SUCCESS;
 
-#ifndef DBUG_OFF
-  /* We assume client konows what it is doing in non-debug mode */
-  if (!context || !message_array)
-    return SHA_NULL;
-  if (context->Computed)
-    return (context->Corrupted= SHA_STATE_ERROR);
-  if (context->Corrupted)
-    return context->Corrupted;
-#endif
-
   while (length--)
   {
     context->Message_Block[context->Message_Block_Index++]=
       (*message_array & 0xFF);
     context->Length  += 8;  /* Length is in bits */
 
-#ifndef DBUG_OFF
-    /*
-      Then we're not debugging we assume we never will get message longer
-      2^64 bits.
-    */
-    if (context->Length == 0)
-      return (context->Corrupted= 1);	   /* Message is too long */
-#endif
-
     if (context->Message_Block_Index == 64)
     {
       SHA1ProcessMessageBlock(context);

=== modified file 'mysys/string.c'
--- mysys/string.c	2008-07-15 06:45:16 +0000
+++ mysys/string.c	2008-07-17 20:11:46 +0000
@@ -26,7 +26,6 @@
 			    size_t init_alloc, size_t alloc_increment)
 {
   uint length;
-  DBUG_ENTER("init_dynamic_string");
 
   if (!alloc_increment)
     alloc_increment=128;
@@ -37,20 +36,19 @@
     init_alloc=alloc_increment;
 
   if (!(str->str=(char*) my_malloc(init_alloc,MYF(MY_WME))))
-    DBUG_RETURN(true);
+    return(true);
   str->length=length-1;
   if (init_str)
     memcpy(str->str,init_str,length);
   str->max_length=init_alloc;
   str->alloc_increment=alloc_increment;
-  DBUG_RETURN(false);
+  return(false);
 }
 
 
 bool dynstr_set(DYNAMIC_STRING *str, const char *init_str)
 {
   uint length=0;
-  DBUG_ENTER("dynstr_set");
 
   if (init_str && (length= (uint) strlen(init_str)+1) > str->max_length)
   {
@@ -59,7 +57,7 @@
     if (!str->max_length)
       str->max_length=str->alloc_increment;
     if (!(str->str=(char*) my_realloc(str->str,str->max_length,MYF(MY_WME))))
-      DBUG_RETURN(true);
+      return(true);
   }
   if (init_str)
   {
@@ -68,23 +66,21 @@
   }
   else
     str->length=0;
-  DBUG_RETURN(false);
+  return(false);
 }
 
 
 bool dynstr_realloc(DYNAMIC_STRING *str, size_t additional_size)
 {
-  DBUG_ENTER("dynstr_realloc");
-
-  if (!additional_size) DBUG_RETURN(false);
+  if (!additional_size) return(false);
   if (str->length + additional_size > str->max_length)
   {
     str->max_length=((str->length + additional_size+str->alloc_increment-1)/
 		     str->alloc_increment)*str->alloc_increment;
     if (!(str->str=(char*) my_realloc(str->str,str->max_length,MYF(MY_WME))))
-      DBUG_RETURN(true);
+      return(true);
   }
-  DBUG_RETURN(false);
+  return(false);
 }
 
 

=== modified file 'mysys/tests/testhash.c'
--- mysys/tests/testhash.c	2008-07-01 21:55:08 +0000
+++ mysys/tests/testhash.c	2008-07-17 20:11:46 +0000
@@ -30,12 +30,6 @@
 static uint testflag=0,recant=10000,reclength=37;
 static uint16 key1[1000];
 
-#ifdef DBUG_OFF
-#define hash_check(A) 0
-#else
-my_bool hash_check(HASH *hash);
-#endif
-
 void free_record(void *record);
 
 static uchar *hash2_key(const uchar *rec,uint *length,
@@ -50,7 +44,6 @@
 int main(int argc,char *argv[])
 {
   MY_INIT(argv[0]);
-  DBUG_PROCESS(argv[0]);
 
   get_options(argc,argv);
 
@@ -66,7 +59,6 @@
   unsigned long key_check;
   char *record,*recpos,oldrecord[120],key[10];
   HASH hash,hash2;
-  DBUG_ENTER("do_test");
 
   write_count=update=delete=0;
   key_check=0;
@@ -91,11 +83,6 @@
     key_check+=n1;
     write_count++;
   }
-  if (hash_check(&hash))
-  {
-    puts("Heap keys crashed");
-    goto err;
-  }
   printf("- Delete\n");
   for (i=0 ; i < write_count/10 ; i++)
   {
@@ -117,18 +104,13 @@
 	goto err;
       }
       delete++;
-      if (testflag == 2 && hash_check(&hash))
+      if (testflag == 2)
       {
 	puts("Heap keys crashed");
 	goto err;
       }
     }
   }
-  if (hash_check(&hash))
-  {
-    puts("Hash keys crashed");
-    goto err;
-  }
 
   printf("- Update\n");
   for (i=0 ; i < write_count/10 ; i++)
@@ -153,18 +135,13 @@
 	printf("can't update key1: \"%s\"\n",key);
 	goto err;
       }
-      if (testflag == 3 && hash_check(&hash))
+      if (testflag == 3) 
       {
 	printf("Heap keys crashed for %d update\n",update);
 	goto err;
       }
     }
   }
-  if (hash_check(&hash))
-  {
-    puts("Heap keys crashed");
-    goto err;
-  }
 
   for (j=0 ; j < 1000 ; j++)
     if (key1[j] > 1)
@@ -211,21 +188,8 @@
       printf("Got error when deleting record: %*s",reclength,recpos);
       goto err;
     }
-    if (testflag==4)
-    {
-      if (hash_check(&hash) || hash_check(&hash2))
-      {
-	puts("Hash keys crashed");
-	goto err;
-      }
-    }
     pos++;
   }
-  if (hash_check(&hash) || hash_check(&hash2))
-  {
-    puts("Hash keys crashed");
-    goto err;
-  }
   if (key_check != 0)
   {
     printf("Key check didn't get to 0 (%ld)\n",key_check);
@@ -236,15 +200,14 @@
 	 update,delete);
   hash_free(&hash); hash_free(&hash2);
   my_end(MY_GIVE_INFO);
-  DBUG_RETURN(0);
+  return(0);
 err:
   printf("Got error: %d when using hashing\n",my_errno);
-  DBUG_RETURN(-1);
+  return(-1);
 } /* main */
 
 
 /* read options */
-/* NOTE! DBUG not initialised - no debugging here! */
 
 static int get_options(int argc, char **argv)
 {
@@ -267,9 +230,6 @@
       printf("MySQL AB, by Monty\n\n");
       printf("Usage: %s [-?ABIKLWv] [-m#] [-t#]\n",progname);
       exit(0);
-    case '#':
-      DBUG_PUSH (++pos);
-      break;
     }
   }
   return 0;

=== modified file 'mysys/thr_alarm.c'
--- mysys/thr_alarm.c	2008-07-13 18:27:33 +0000
+++ mysys/thr_alarm.c	2008-07-17 20:11:46 +0000
@@ -13,8 +13,6 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-/* To avoid problems with alarms in debug code, we disable DBUG here */
-#define FORCE_DBUG_OFF
 #include <my_global.h>
 
 #if !defined(DONT_USE_THR_ALARM)
@@ -67,7 +65,6 @@
 void init_thr_alarm(uint max_alarms)
 {
   sigset_t s;
-  DBUG_ENTER("init_thr_alarm");
   alarm_aborted=0;
   next_alarm_expire_time= ~ (time_t) 0;
   init_queue(&alarm_queue,max_alarms+1,offsetof(ALARM,expire_time),0,
@@ -111,7 +108,7 @@
   my_sigset(THR_SERVER_ALARM, process_alarm);
   pthread_sigmask(SIG_UNBLOCK, &s, NULL);
 #endif /* USE_ALARM_THREAD */
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -155,8 +152,6 @@
 #endif
   bool reschedule;
   struct st_my_thread_var *current_my_thread_var= my_thread_var;
-  DBUG_ENTER("thr_alarm");
-  DBUG_PRINT("enter",("thread: %s  sec: %d",my_thread_name(),sec));
 
   now= my_time(0);
 #ifndef USE_ONE_SIGNAL_HAND
@@ -165,13 +160,12 @@
   pthread_mutex_lock(&LOCK_alarm);        /* Lock from threads & alarms */
   if (alarm_aborted > 0)
   {					/* No signal thread */
-    DBUG_PRINT("info", ("alarm aborted"));
     *alrm= 0;					/* No alarm */
     pthread_mutex_unlock(&LOCK_alarm);
 #ifndef USE_ONE_SIGNAL_HAND
     pthread_sigmask(SIG_SETMASK,&old_mask,NULL);
 #endif
-    DBUG_RETURN(1);
+    return(1);
   }
   if (alarm_aborted < 0)
     sec= 1;					/* Abort mode */
@@ -180,14 +174,13 @@
   {
     if (alarm_queue.elements == alarm_queue.max_elements)
     {
-      DBUG_PRINT("info", ("alarm queue full"));
       fprintf(stderr,"Warning: thr_alarm queue is full\n");
       *alrm= 0;					/* No alarm */
       pthread_mutex_unlock(&LOCK_alarm);
 #ifndef USE_ONE_SIGNAL_HAND
       pthread_sigmask(SIG_SETMASK,&old_mask,NULL);
 #endif
-      DBUG_RETURN(1);
+      return(1);
     }
     max_used_alarms=alarm_queue.elements+1;
   }
@@ -196,13 +189,12 @@
   {
     if (!(alarm_data=(ALARM*) my_malloc(sizeof(ALARM),MYF(MY_WME))))
     {
-      DBUG_PRINT("info", ("failed my_malloc()"));
       *alrm= 0;					/* No alarm */
       pthread_mutex_unlock(&LOCK_alarm);
 #ifndef USE_ONE_SIGNAL_HAND
       pthread_sigmask(SIG_SETMASK,&old_mask,NULL);
 #endif
-      DBUG_RETURN(1);
+      return(1);
     }
     alarm_data->malloced=1;
   }
@@ -217,7 +209,6 @@
   /* Reschedule alarm if the current one has more than sec left */
   if (reschedule)
   {
-    DBUG_PRINT("info", ("reschedule"));
     if (pthread_equal(pthread_self(),alarm_thread))
     {
       alarm(sec);				/* purecov: inspected */
@@ -231,7 +222,7 @@
   pthread_sigmask(SIG_SETMASK,&old_mask,NULL);
 #endif
   (*alrm)= &alarm_data->alarmed;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -246,7 +237,6 @@
   sigset_t old_mask;
 #endif
   uint i, found=0;
-  DBUG_ENTER("thr_end_alarm");
 
 #ifndef USE_ONE_SIGNAL_HAND
   pthread_sigmask(SIG_BLOCK,&full_signal_set,&old_mask);
@@ -262,25 +252,21 @@
       if (alarm_data->malloced)
 	my_free((uchar*) alarm_data,MYF(0));
       found++;
-#ifdef DBUG_OFF
       break;
-#endif
     }
   }
-  DBUG_ASSERT(!*alarmed || found == 1);
+  assert(!*alarmed || found == 1);
   if (!found)
   {
     if (*alarmed)
       fprintf(stderr,"Warning: Didn't find alarm 0x%lx in queue of %d alarms\n",
 	      (long) *alarmed, alarm_queue.elements);
-    DBUG_PRINT("warning",("Didn't find alarm 0x%lx in queue\n",
-			  (long) *alarmed));
   }
   pthread_mutex_unlock(&LOCK_alarm);
 #ifndef USE_ONE_SIGNAL_HAND
   pthread_sigmask(SIG_SETMASK,&old_mask,NULL);
 #endif
-  DBUG_VOID_RETURN;
+  return;
 }
 
 /*
@@ -294,9 +280,6 @@
 sig_handler process_alarm(int sig __attribute__((unused)))
 {
   sigset_t old_mask;
-/*
-  This must be first as we can't call DBUG inside an alarm for a normal thread
-*/
 
   if (thd_lib_detected == THD_LIB_LT &&
       !pthread_equal(pthread_self(),alarm_thread))
@@ -310,13 +293,6 @@
     return;
   }
 
-  /*
-    We have to do do the handling of the alarm in a sub function,
-    because otherwise we would get problems with two threads calling
-    DBUG_... functions at the same time (as two threads may call
-    process_alarm() at the same time
-  */
-
 #ifndef USE_ALARM_THREAD
   pthread_sigmask(SIG_SETMASK,&full_signal_set,&old_mask);
   pthread_mutex_lock(&LOCK_alarm);
@@ -336,8 +312,6 @@
 static sig_handler process_alarm_part2(int sig __attribute__((unused)))
 {
   ALARM *alarm_data;
-  DBUG_ENTER("process_alarm");
-  DBUG_PRINT("info",("sig: %d  active alarms: %d",sig,alarm_queue.elements));
 
 #if defined(MAIN)
   printf("process_alarm\n"); fflush(stdout);
@@ -374,7 +348,6 @@
       while ((alarm_data=(ALARM*) queue_top(&alarm_queue))->expire_time <= now)
       {
 	alarm_data->alarmed=1;			/* Info to thread */
-	DBUG_PRINT("info",("sending signal to waiting thread"));
 	if (pthread_equal(alarm_data->thread,alarm_thread) ||
 	    pthread_kill(alarm_data->thread, thr_client_alarm))
 	{
@@ -407,7 +380,7 @@
     */
     next_alarm_expire_time= ~(time_t) 0;
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -428,11 +401,9 @@
 
 void end_thr_alarm(bool free_structures)
 {
-  DBUG_ENTER("end_thr_alarm");
   if (alarm_aborted != 1)			/* If memory not freed */
   {
     pthread_mutex_lock(&LOCK_alarm);
-    DBUG_PRINT("info",("Resheduling %d waiting alarms",alarm_queue.elements));
     alarm_aborted= -1;				/* mark aborted */
     if (alarm_queue.elements || (alarm_thread_running && free_structures))
     {
@@ -445,7 +416,7 @@
     {
       struct timespec abstime;
 
-      DBUG_ASSERT(!alarm_queue.elements);
+      assert(!alarm_queue.elements);
 
       /* Wait until alarm thread dies */
       set_timespec(abstime, 10);		/* Wait up to 10 seconds */
@@ -467,7 +438,7 @@
     else
       pthread_mutex_unlock(&LOCK_alarm);
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -743,7 +714,6 @@
 #endif
   printf("server alarm: %d  thread alarm: %d\n",
          THR_SERVER_ALARM, thr_client_alarm);
-  DBUG_PRINT("info",("Starting signal and alarm handling thread"));
   for(;;)
   {
     while ((error=my_sigwait(&set,&sig)) == EINTR)
@@ -792,10 +762,6 @@
   ALARM_INFO alarm_info;
   MY_INIT(argv[0]);
 
-  if (argc > 1 && argv[1][0] == '-' && argv[1][1] == '#')
-  {
-    DBUG_PUSH(argv[1]+2);
-  }
   pthread_mutex_init(&LOCK_thread_count,MY_MUTEX_INIT_FAST);
   pthread_cond_init(&COND_thread_count,NULL);
 
@@ -828,7 +794,6 @@
   pthread_create(&tid,&thr_attr,signal_hand,NULL);
   VOID(pthread_cond_wait(&COND_thread_count,&LOCK_thread_count));
   VOID(pthread_mutex_unlock(&LOCK_thread_count));
-  DBUG_PRINT("info",("signal thread created"));
 
   thr_setconcurrency(3);
   pthread_attr_setscope(&thr_attr,PTHREAD_SCOPE_PROCESS);

